Gecode::Int::Sequence::Sequence< View, Val > Class Template Reference
Other available functionality » Integer propagators

Sequence propagator for array of integers More...

`#include <sequence.hh>`

## Public Member Functions

virtual Actor * | copy (Space &home)
| Perform copying during cloning.
ExecStatus | advise (Space &home, Advisor &_a, const Delta &d)
| Advise function.
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function.
virtual void | reschedule (Space &home)
| Schedule function.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, ViewArray< View > &x, Val s, int q, int l, int u)
| Post propagator for.
static ExecStatus | check (ViewArray< View > &x, Val s, int q, int l, int u)
| Check for consistency.
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| Sequence (Space &home, Sequence &p)
| Constructor for cloning p.
| Sequence (Home home, ViewArray< View > &x, Val s, int q, int l, int u)
| Constructor for creation.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Detailed Description

template<class View, class Val>
class Gecode::Int::Sequence::Sequence< View, Val >

Sequence propagator for array of integers

Requires

#include <gecode/int/sequence.hh>
sequence.hh

Definition at line 101 of file sequence.hh.

## Constructor & Destructor Documentation

## Sequence() [1/2]

template<class View, class Val>

Gecode::Int::Sequence::Sequence< View, Val >::Sequence | ( | Space & | home,
|  | Sequence< View, Val > & | p )

inline protected

Constructor for cloning p.

Definition at line 60 of file int.hpp.

## Sequence() [2/2]

template<class View, class Val>

Gecode::Int::Sequence::Sequence< View, Val >::Sequence | ( | Home | home,
|  | ViewArray< View > & | x,
|  | Val | s,
|  | int | q,
|  | int | l,
|  | int | u )

inline protected

Constructor for creation.

Definition at line 42 of file int.hpp.

## Member Function Documentation

## copy()

template<class View, class Val>

Actor * Gecode::Int::Sequence::Sequence< View, Val >::copy | ( | Space & | home | ) |

virtual

Perform copying during cloning.

Implements Gecode::Actor.

Definition at line 145 of file int.hpp.

## advise()

template<class View, class Val>

ExecStatus Gecode::Int::Sequence::Sequence< View, Val >::advise | ( | Space & | home,
|  | Advisor & | _a,
|  | const Delta & | d )

virtual

Advise function.

Reimplemented from Gecode::Propagator.

Definition at line 71 of file int.hpp.

## cost()

template<class View, class Val>

PropCost Gecode::Int::Sequence::Sequence< View, Val >::cost | ( | const Space & | home,
|  | const ModEventDelta & | med ) const

virtual

Cost function.

Implements Gecode::Propagator.

Definition at line 151 of file int.hpp.

## reschedule()

template<class View, class Val>

void Gecode::Int::Sequence::Sequence< View, Val >::reschedule | ( | Space & | home | ) |

virtual

Schedule function.

Implements Gecode::Propagator.

Definition at line 157 of file int.hpp.

## propagate()

template<class View, class Val>

ExecStatus Gecode::Int::Sequence::Sequence< View, Val >::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 167 of file int.hpp.

## post()

template<class View, class Val>

ExecStatus Gecode::Int::Sequence::Sequence< View, Val >::post | ( | Home | home,
|  | ViewArray< View > & | x,
|  | Val | s,
|  | int | q,
|  | int | l,
|  | int | u )

static

Post propagator for.

Definition at line 133 of file int.hpp.

## check()

template<class View, class Val>

ExecStatus Gecode::Int::Sequence::Sequence< View, Val >::check | ( | ViewArray< View > & | x,
|  | Val | s,
|  | int | q,
|  | int | l,
|  | int | u )

inline static

Check for consistency.

Definition at line 109 of file int.hpp.

## dispose()

template<class View, class Val>

size_t Gecode::Int::Sequence::Sequence< View, Val >::dispose | ( | Space & | home | ) |

inline virtual

Delete propagator and return its size.

Reimplemented from Gecode::Actor.

Definition at line 99 of file int.hpp.

The documentation for this class was generated from the following files:

- gecode/int/sequence.hh
- gecode/int/sequence/int.hpp